Package com.independentsoft.graph

# Enum Class ExtendedPropertyType

java.lang.Object
java.lang.Enum<ExtendedPropertyType>
com.independentsoft.graph.ExtendedPropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtendedPropertyType>`, `Constable`

public enum ExtendedPropertyType extends Enum<ExtendedPropertyType>
Defines the type an extended property.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_TIME`
  The property is of type ApplicationTime.
  `APPLICATION_TIME_ARRAY`
  The property is of type ApplicationTimeArray.
  `BINARY`
  The property is of type Binary.
  `BINARY_ARRAY`
  The property is of type BinaryArray.
  `BOOLEAN`
  The property is of type Boolean.
  `CLSID`
  The property is of type CLSID.
  `CLSID_ARRAY`
  The property is of type CLSIDArray.
  `CURRENCY`
  The property is of type Currency.
  `CURRENCY_ARRAY`
  The property is of type CurrencyArray.
  `DOUBLE`
  The property is of type Double.
  `DOUBLE_ARRAY`
  The property is of type DoubleArray.
  `ERROR`
  The property is of type Error.
  `FLOAT`
  The property is of type Float.
  `FLOAT_ARRAY`
  The property is of type FloatArray.
  `INTEGER`
  The property is of type Integer.
  `INTEGER_ARRAY`
  The property is of type IntegerArray.
  `LONG`
  The property is of type Long.
  `LONG_ARRAY`
  The property is of type LongArray.
  `NULL`
  The property is of type Null.
  `OBJECT`
  The property is of type Object.
  `OBJECT_ARRAY`
  The property is of type ObjectArray.
  `SHORT`
  The property is of type Short.
  `SHORT_ARRAY`
  The property is of type ShortArray.
  `STRING`
  The property is of type String.
  `STRING_ARRAY`
  The property is of type StringArray.
  `SYSTEM_TIME`
  The property is of type SystemTime.
  `SYSTEM_TIME_ARRAY`
  The property is of type SystemTimeArray.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExtendedPropertyType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExtendedPropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATION_TIME

    public static final ExtendedPropertyType APPLICATION_TIME
    The property is of type ApplicationTime.

  - ### APPLICATION_TIME_ARRAY

    public static final ExtendedPropertyType APPLICATION_TIME_ARRAY
    The property is of type ApplicationTimeArray.

  - ### BINARY

    public static final ExtendedPropertyType BINARY
    The property is of type Binary.

  - ### BINARY_ARRAY

    public static final ExtendedPropertyType BINARY_ARRAY
    The property is of type BinaryArray.

  - ### BOOLEAN

    public static final ExtendedPropertyType BOOLEAN
    The property is of type Boolean.

  - ### CLSID

    public static final ExtendedPropertyType CLSID
    The property is of type CLSID.

  - ### CLSID_ARRAY

    public static final ExtendedPropertyType CLSID_ARRAY
    The property is of type CLSIDArray.

  - ### CURRENCY

    public static final ExtendedPropertyType CURRENCY
    The property is of type Currency.

  - ### CURRENCY_ARRAY

    public static final ExtendedPropertyType CURRENCY_ARRAY
    The property is of type CurrencyArray.

  - ### DOUBLE

    public static final ExtendedPropertyType DOUBLE
    The property is of type Double.

  - ### DOUBLE_ARRAY

    public static final ExtendedPropertyType DOUBLE_ARRAY
    The property is of type DoubleArray.

  - ### ERROR

    public static final ExtendedPropertyType ERROR
    The property is of type Error.

  - ### FLOAT

    public static final ExtendedPropertyType FLOAT
    The property is of type Float.

  - ### FLOAT_ARRAY

    public static final ExtendedPropertyType FLOAT_ARRAY
    The property is of type FloatArray.

  - ### INTEGER

    public static final ExtendedPropertyType INTEGER
    The property is of type Integer.

  - ### INTEGER_ARRAY

    public static final ExtendedPropertyType INTEGER_ARRAY
    The property is of type IntegerArray.

  - ### LONG

    public static final ExtendedPropertyType LONG
    The property is of type Long.

  - ### LONG_ARRAY

    public static final ExtendedPropertyType LONG_ARRAY
    The property is of type LongArray.

  - ### NULL

    public static final ExtendedPropertyType NULL
    The property is of type Null.

  - ### OBJECT

    public static final ExtendedPropertyType OBJECT
    The property is of type Object.

  - ### OBJECT_ARRAY

    public static final ExtendedPropertyType OBJECT_ARRAY
    The property is of type ObjectArray.

  - ### SHORT

    public static final ExtendedPropertyType SHORT
    The property is of type Short.

  - ### SHORT_ARRAY

    public static final ExtendedPropertyType SHORT_ARRAY
    The property is of type ShortArray.

  - ### SYSTEM_TIME

    public static final ExtendedPropertyType SYSTEM_TIME
    The property is of type SystemTime.

  - ### SYSTEM_TIME_ARRAY

    public static final ExtendedPropertyType SYSTEM_TIME_ARRAY
    The property is of type SystemTimeArray.

  - ### STRING

    public static final ExtendedPropertyType STRING
    The property is of type String.

  - ### STRING_ARRAY

    public static final ExtendedPropertyType STRING_ARRAY
    The property is of type StringArray.

- ## Method Details

  - ### values

    public static ExtendedPropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExtendedPropertyType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null